summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-12-26 19:49:03 +0100
committerMichał Górny <mgorny@gentoo.org>2020-12-26 19:49:03 +0100
commit0c13109ff9fbe4dec4767622110170f22b328c40 (patch)
tree96da3cb73e51aa25d77b69dee114e6dec0c77801
parentsys-kernel/vanilla-kernel: Bump to 5.10.3 (diff)
downloadgentoo-0c13109ff9fbe4dec4767622110170f22b328c40.tar.gz
gentoo-0c13109ff9fbe4dec4767622110170f22b328c40.tar.bz2
gentoo-0c13109ff9fbe4dec4767622110170f22b328c40.zip
sys-kernel/gentoo-kernel: Bump to 5.10.3
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--sys-kernel/gentoo-kernel/Manifest6
-rw-r--r--sys-kernel/gentoo-kernel/gentoo-kernel-5.10.3.ebuild87
2 files changed, 93 insertions, 0 deletions
diff --git a/sys-kernel/gentoo-kernel/Manifest b/sys-kernel/gentoo-kernel/Manifest
index 765bdebb92c..df290944c28 100644
--- a/sys-kernel/gentoo-kernel/Manifest
+++ b/sys-kernel/gentoo-kernel/Manifest
@@ -2,6 +2,8 @@ DIST genpatches-5.10-2.base.tar.xz 4604 BLAKE2B ab25c50b6fa200f303b2e9f6f203730d
DIST genpatches-5.10-2.extras.tar.xz 1772 BLAKE2B f4bc68ab7c83508265848d9782ce19046a5870c428a9b2e99c473c7c1e6451bdbe2e22152e5ec81812502547b6282e5286dcc2da591481249d75ba69985300a2 SHA512 ab99eae22f08f5894b5b027440e715558da9fe80542f824a260bce9951dda6059dca705a4b29cf3b5e295726eef9c1942a5d114259702733d7f6f6b68f828020
DIST genpatches-5.10-4.base.tar.xz 9592 BLAKE2B de49027b8581bf08527c53a952c5bcbb39433ff6f0c5f8d435d10e0db3d616c788d353afe9821861887188aadecb2bcef7786406545430ea5b5221cc0f124afd SHA512 a4ebeb7906358e79d6e9a661cded6f891280ba41aa85eba443f641cb77da22b0466d5f9084c1eaeb7d38d160d21ef608f96582aecfdd7bd3eb84be02eaca4004
DIST genpatches-5.10-4.extras.tar.xz 1772 BLAKE2B 7eb441df822692ec63edb58d6553b5f3c8e540b3ea8612d10f02c7004888f56a84c6223ff069304916bc6d70d7f7e4f6bed41c60c866498e515ce527baf543e7 SHA512 b0e9e111b09ab159de2a2cd5f960e2f947d5a9fb0d47244fa684f63af6ba009a66cd3cd4d83c9b48e6582537ad6ff649bf3528891d8599cd28672a2c3852f7f9
+DIST genpatches-5.10-5.base.tar.xz 19928 BLAKE2B 6fe55e2d7b32871600fc8d97b644e22797dac42450512c9d35f9d7f1eb72671bdc4e71ae22dbc178d1fed479ce2c8d908e77087da9c9eff90ce0b9536e89d0cf SHA512 dc9f536c40259a584041a72e8aebd6c38e94645ba2a25d05da76c254be0d1d959a45245e9645c876fb44a00887e8730c94c14bd7bb81cc194260f0688fecd3ac
+DIST genpatches-5.10-5.extras.tar.xz 1772 BLAKE2B 1c475a58e71f1d029676d627e31859d93970b59d300106dfb24839bec1545dc5f9185ae802c325f5f0f76bdfa9bec27514d8aa9c61388b5ff76b2ada1d742edd SHA512 96aad42f563cb5eab9944b660d51639c2ac30e9c4a5f4742796c5084d22dacf2789226cb7df804aad5b9450f5715945632bae1df6f22183eb6ab38494e16527c
DIST genpatches-5.4-81.base.tar.xz 2591356 BLAKE2B 63c0ef166e2691c6747a2b2a8317aeac286ddac1454ae1eba7a34035abeba67ea2627257d17f266fde57da0684f83cb102b465252a3b95075c1442123c2473e4 SHA512 88d4deb9002cfe6aa8a8045770cf5c7ffde8cf9bad324a72296b1a5202c94386807fad53460147420363b3c73613be424bb54000e5cade7baa4df254ef2c61ab
DIST genpatches-5.4-81.extras.tar.xz 1772 BLAKE2B 93bedfbb023ab9d3913751cd242a4221b204685751f57d0ac31494fa8f8caf8e5faeb3ae10eed5332016f9a40b20670a6af6c4198eeae1136b14a3b28174beb7 SHA512 8776735a73aad4672d4b857d750f985ff6681f8e565a906106e2cfcd4d7839fa518d8fa19b39a0ac948736a3384656be44aad239ce2516786c797303f492ce01
DIST genpatches-5.4-82.base.tar.xz 2792480 BLAKE2B 39960646116f5f85ee657a29557d8fd9e809ae9bc60aac349c91e7680f2a0565800ba37a478573098dbad41b686336a058985d2925e5046fa68eeaea8df25477 SHA512 6a76eebd7178e2ccc522477f53c36f74e6fd691f87c547dffa2602a516ad9a6a01f05c953e12bbe6ba9aa2ce34b176a6a081a22da40c7d86855e5dfc34098059
@@ -21,15 +23,19 @@ DIST genpatches-5.9-16.extras.tar.xz 1768 BLAKE2B 8438dd94c2b918eea3e6eaed63dbbd
DIST gentoo-kernel-config-5.4.77-r1.tar.gz 1289 BLAKE2B 6612741cfbf458f4bd8915b476aac3aa6934e8bbab344da877fa4ad52b6133e01f5d44bf0e5d048e79e56c1a351774135ee55f1aa839b230e2418db7c5d9b123 SHA512 2a09dd85af37447b278847aeaad114ef47470726cec015ed5ee1b54b3080f4b2c48de8b2f7b817eeb4e27c753579cf0820053e22caa762cb1552116d8d69eba0
DIST gentoo-kernel-config-5.9.8-r1.tar.gz 1198 BLAKE2B 8fc6d432e9d7e1f7f2be75c5741ab18be399066e9837a52023bebfbffe6299eabfa7e8e94822ef205bd443f6d75a75530cf0c3989dc0414a7c3e4ff06d4743bc SHA512 bc554f46ffb8a4422269e5d9b8e9e0c0f1ecd29fd008719f7ab027e87f4b4bb284d7854d1af2e1e5af0784043db79de058b38fd1ff0bf50d3086e8adc6254e1f
DIST kernel-aarch64-fedora.config.5.10.0 222666 BLAKE2B 54e56ffb94ceab41ad83cd909da093389bd6b01680441f150625413c9a15d34c5a9638cc978474f4d3bbda4372de97439569864cba6d99da1f7942884c7927f6 SHA512 bc0bf63dfab155ca082104dd65ab7e5413e297be7cd468b925c74eb420c243c5350ca362dac7f2e646bb75a2ffa15ce7729d6993426ff399ada1c4b53c4861a8
+DIST kernel-aarch64-fedora.config.5.10.2 223109 BLAKE2B 705c331b559994b437954e4a0d0405d1f084b0689460b79f89a938ac66fdddbfa617b78b2bfb07bf5a085e1d4e8cfe735554031bc1e2b2ceeb6ef680c50b26bd SHA512 e57e6efe8dbd935d9b7438019fd2b8b7e558deac5471816fac6a6228ca95badf74c99a4d479cc3820f62176626c4a2526f9c16523d1e445634168358c2d24232
DIST kernel-aarch64-fedora.config.5.9.13 217955 BLAKE2B 80997bd8a3e2d6863d9282bf99378231c26a84fc52f3173b51e4519b081a0fde037357c5bd9a9216ecc7af29d6b16eb699e4d9f96dd2cfa31103f7ecce9d1c34 SHA512 7cd9a1689b24a9089be239ad61d7b8394e06e0e3086701fc5a7f77c02bef63b9164be88ef8dba0e0f116975a9a87800ce69480de963504d52fb8e105ff1868b7
DIST kernel-aarch64.config.5.4.21 199104 BLAKE2B 578ad451a76204df2a9bbbe34b5cb27051d2ac5e2c33967f562b01338c43f35da6dc33a4c2cc67ea6c3b32b155729360d3748ec28dcaa750f18449245b2e8a09 SHA512 66e9a437beb350fdc59512c17b8f72c5b5bfacf2b35070d810d77e66f49cf7929026cc28ad44b04a016d61e65d9fb4a10af6996ba09b604bf97e9c467d08f8ff
DIST kernel-i686-fedora.config.5.10.0 204929 BLAKE2B 74de8957e749828c7b76fcfb03a921e26592c5c1b0f4803f781542800dc2635fc356b524059d75ec45080432381be4ef31f9a8a12d10c9a896d722a106b90210 SHA512 e98497beb1da1605bfeaf1ebb400851dd8552941cf352389317e991623e6a3dde5d6edbe04df3f9f0b8b90f29bc05b9a523eea3489d1c450bb0969e399427978
+DIST kernel-i686-fedora.config.5.10.2 205372 BLAKE2B 68a85a8063f6e667b0f7a6923193d86b4ca5a670698aa80f16cae1a06c1cfc9d07343f7bce1c784f9d9a63a3c30e08cc2c948daa7c45f0dadab7dab8779a98e0 SHA512 2aeb490f8797a269abfc485d06a4c8a7f2ac54fc0d0bca4c876369991ff223a43744077281cad5af35235b5db59511cb9e95c83ea634785efe496ceb0f5837bb
DIST kernel-i686-fedora.config.5.9.13 201435 BLAKE2B 1eb2e7e816859fdb15ac77110c69cfb92b7e3b1ec175cd21be7100f7de688ebf1f3e2661fc10bfdb7c68eede963beeea0494802339e0d5c447a909f75ed72935 SHA512 031549785d7d00cca491f9c48a62421dd7106c97e8f62047a62b58cd96965b056ab109b388c7c7484860dc0888ebe2df2aaf434f4d4574666f3c39ae6e84b904
DIST kernel-i686.config.5.4.21 183910 BLAKE2B 185126ffb85718bb73761d01683def80b6f002d7a7a6eddd8e858a30d8eadc863fb378d83a1cd2ed82b3540337fa66ae44475e31fb41ebc46d77005b6f54e5c0 SHA512 6307afc2295902e44fe65b1cccaa7a0260b295a5f21f1d67ec66197bd972bd3f5675b624f08d9da8b224cb3ec987d5c21cbd743599aeab9ac6214bc651f43476
DIST kernel-ppc64le-fedora.config.5.10.0 191600 BLAKE2B baf50581ae4f0d10e46bdd3a94889cc09a5c54b388663a750f4e6f46f54ae9194588e82bd473db4a6662a7b5f755ca6604f0cb9c0c5d7986c8d358830aa188fa SHA512 d5dbe4313163131448425f3385ffe0735ba23afacb802b8a54622a497aaa2ef05c9dbe8a1916f3e8b01c710938443b5eecbe2a3233dd5dc47054a38bb1dac987
+DIST kernel-ppc64le-fedora.config.5.10.2 192065 BLAKE2B 88c035de25b9a32df1c110177840a2f7171fae7ac7ccd2aaf12720bc8030c3fb073c73b087f57745e531c59502214b1aa79db9f0aea7ef3db60e69f5e83e5a8b SHA512 5579785cadbf99adcee29b16ffd3fa1acafd18ddd37ad1612de19f7c918a472a1dd5cf5ace9ef46bbbbe17b0b091d26617e2f63f2039de90aa521ce0b02a5bc0
DIST kernel-ppc64le-fedora.config.5.9.13 188055 BLAKE2B 45c2247771ddd47922b05f7b5d56f993d7d8dcd2ac5b8143bbf06085e2b08c4fb4c30021c7489d6f12916a4c3c0123c81713bfafa1ff0902199fcec2d5af051a SHA512 526243f4a247e2a25f1b256e756034591ee7a33d6c6273881f44c8b0fa1b657d7c6654cfe1ea8090b6f1bac638503c93947bc1df4165a2d2e4b9a63f3098c292
DIST kernel-ppc64le.config.5.4.21 172003 BLAKE2B b53887cb44f7c378cb3866780f8e556e19fdb02130d3b0df01d97698d2a91f7d90a200012559f288e962935742c3fdb67dfb6711876fad37862fe55cdca5b5f6 SHA512 82df8d0be47e9eb20bd7db570539bb061d0b6e2101dc78a54596cf4d0b4e0c536041449304ff9240b051ee09b342ea336c5645e9a3b66a5dfb96d7778ff86008
DIST kernel-x86_64-fedora.config.5.10.0 205885 BLAKE2B d81a5e48f1ca76d2e95cd7921134a9775121bdf5a31c89210cb53df85e298181ede6ef97468abffaeb9c02d05eb6c12c9b4f01ac695ec089ae54a74ccccf2cab SHA512 b84b03581136d291f4d7a952c9eb9dcf4bc550cb88065c74b4e80ec3c3fb6ad41c24c46e0ac0140e4d05878a21334cdf1592d5583f455f314b4a99b8a8a699ee
+DIST kernel-x86_64-fedora.config.5.10.2 206317 BLAKE2B 5511c920e1807acf2511db2269064b9d844669d7e7cd7675e9c57c9a3205fb8794926a8305a49733a450768b312b8009734c7c66e8a486b3d870bafaa79f11bb SHA512 eb1c6a5b5fa0fb97155ec909774b6954af3ef375ac18b27d99dbb0037c3c29df06780c1d1abe8c5f4bb7e05d5134b21e50015d5c883d79e820ea046e5e728569
DIST kernel-x86_64-fedora.config.5.9.13 202355 BLAKE2B 5c74baca1940667ff5d5c8bbd2f1d6551ebc40e8f2b1d973e2e9dd1fe0ed1c6a36787c56c8881b2948f7dbe72c0eefdf8cc1860f15d8a70c0f6a5e3fedcc1caf SHA512 34bb65ac7cfa8374f2bd8d33fbca77859b75374831dc0a141a9bb292bd63194c2fa78ce2dec9a809390af64c0080d72162d8a1978f0cc5d57e518e47de25cc44
DIST kernel-x86_64.config.5.4.21 184907 BLAKE2B 0eb2b07c14cea7545350fcdf3a94f2a531f0137c502ebda9299cacf44da5385686e2049b480b28bc153c9d413d453cfe682b9655eefe70428cb720f57c7bd200 SHA512 f3b3ee6841555ac3a9cc11536a7d44e1a5a8df2bab14ba341fda7df1ceb0de45cf1c799a1d54a64f2858fd1272d348bb52cf269ffa396878c5402baf2730237f
DIST linux-5.10.tar.xz 116606704 BLAKE2B b923d7b66309224f42f35f8a5fa219421b0a9362d2adacdadd8d96251f61f7230878ea297a269a7f3b3c56830f0b177e068691e1d7f88501a05653b0a13274d1 SHA512 95bc137d0cf9148da6a9d1f1a878698dc27b40f68e22c597544010a6c591ce1b256f083489d3ff45ff77753289b535135590194d88ef9f007d0ddab3d74de70e
diff --git a/sys-kernel/gentoo-kernel/gentoo-kernel-5.10.3.ebuild b/sys-kernel/gentoo-kernel/gentoo-kernel-5.10.3.ebuild
new file mode 100644
index 00000000000..5ec7b92ee62
--- /dev/null
+++ b/sys-kernel/gentoo-kernel/gentoo-kernel-5.10.3.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-build
+
+MY_P=linux-${PV%.*}
+GENPATCHES_P=genpatches-${PV%.*}-$(( ${PV##*.} + 2 ))
+# https://koji.fedoraproject.org/koji/packageinfo?packageID=8
+CONFIG_VER=5.10.2
+CONFIG_HASH=b40ee468dab9a27cca8b91fef64d1d43ce0ed1b2
+GENTOO_CONFIG_VER=5.9.8-r1
+
+DESCRIPTION="Linux kernel built with Gentoo patches"
+HOMEPAGE="https://www.kernel.org/"
+SRC_URI+=" https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 1).x/${MY_P}.tar.xz
+ https://dev.gentoo.org/~mpagano/dist/genpatches/${GENPATCHES_P}.base.tar.xz
+ https://dev.gentoo.org/~mpagano/dist/genpatches/${GENPATCHES_P}.extras.tar.xz
+ https://github.com/mgorny/gentoo-kernel-config/archive/v${GENTOO_CONFIG_VER}.tar.gz
+ -> gentoo-kernel-config-${GENTOO_CONFIG_VER}.tar.gz
+ amd64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-x86_64-fedora.config
+ -> kernel-x86_64-fedora.config.${CONFIG_VER}
+ )
+ arm64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-aarch64-fedora.config
+ -> kernel-aarch64-fedora.config.${CONFIG_VER}
+ )
+ ppc64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-ppc64le-fedora.config
+ -> kernel-ppc64le-fedora.config.${CONFIG_VER}
+ )
+ x86? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-i686-fedora.config
+ -> kernel-i686-fedora.config.${CONFIG_VER}
+ )"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="debug"
+REQUIRED_USE="arm? ( savedconfig )"
+
+RDEPEND="
+ !sys-kernel/vanilla-kernel:${SLOT}
+ !sys-kernel/vanilla-kernel-bin:${SLOT}"
+BDEPEND="
+ debug? ( dev-util/dwarves )"
+
+src_prepare() {
+ local PATCHES=(
+ # meh, genpatches have no directory
+ "${WORKDIR}"/*.patch
+ )
+ default
+
+ # prepare the default config
+ case ${ARCH} in
+ amd64)
+ cp "${DISTDIR}/kernel-x86_64-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ arm)
+ return
+ ;;
+ arm64)
+ cp "${DISTDIR}/kernel-aarch64-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ ppc64)
+ cp "${DISTDIR}/kernel-ppc64le-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ x86)
+ cp "${DISTDIR}/kernel-i686-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ *)
+ die "Unsupported arch ${ARCH}"
+ ;;
+ esac
+
+ local merge_configs=(
+ "${WORKDIR}/gentoo-kernel-config-${GENTOO_CONFIG_VER}"/base.config
+ )
+ use debug || merge_configs+=(
+ "${WORKDIR}/gentoo-kernel-config-${GENTOO_CONFIG_VER}"/no-debug.config
+ )
+ kernel-build_merge_configs "${merge_configs[@]}"
+}